LINUX.ORG.RU

Can't locate Gtk/Gdk/Pixbuf.pm ::классика Slackware??!


0

0

Собираю acidrip ok
собираю DVD::RIP
скачано все через concurrent version system (CVS)
DVD::RIP
perl Makefile.PL ok
make ok
make test:
[root in /tmp/1/DVDRIP/CVS/dvdrip]$ make test
PERL_DL_NONLAZY=1 /usr/bin/perl5.8.6 "-Iblib/lib" "-Iblib/arch" test.pl
1..1
[filterlist] (re)scanning transcode's module path /usr/local/lib/transcode...
sh: line 1: 8903 Segmentation fault tcmodinfo -i compare 2>/dev/null
sh: line 1: 8949 Illegal instruction tcmodinfo -i logo 2>/dev/null
Can't locate Gtk/Gdk/Pixbuf.pm in @INC (@INC contains: blib/lib blib/arch /usr/lib/perl5/5.8.6/i486-linux /usr/lib/perl5/5.8.6 /usr/lib/perl5/site_perl/5.8.6/i486-linux /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl .) at blib/lib/Video/DVDRip/GUI/ImageClip.pm line 13.
BEGIN failed--compilation aborted at blib/lib/Video/DVDRip/GUI/ImageClip.pm line 13.
Compilation failed in require at blib/lib/Video/DVDRip/GUI/Project.pm line 15.
BEGIN failed--compilation aborted at blib/lib/Video/DVDRip/GUI/Project.pm line 15.
Compilation failed in require at blib/lib/Video/DVDRip/GUI/Main.pm line 17.
BEGIN failed--compilation aborted at blib/lib/Video/DVDRip/GUI/Main.pm line 17.
Compilation failed in require at test.pl line 31.
BEGIN failed--compilation aborted at test.pl line 31.
not ok 1
make: *** [test_dynamic] Ошибка 2

gtk-perl стоит
Slackware-10.1
другое ПО, зависящее от perl, а него не наезжает

Пожалайста помогите разобраться, люди

anonymous

Re: Can't locate Gtk/Gdk/Pixbuf.pm ::классика Slackware??!

transcode и все остальное поставил

бьюсь второй год, если честно. :(

anonymous ()
Ответ на: Re: Can't locate Gtk/Gdk/Pixbuf.pm ::классика Slackware??! от JB

Re: Can't locate Gtk/Gdk/Pixbuf.pm ::классика Slackware??!

http://www.exit1.org/dvdrip/doc/install.cipp

1.3.3 Perl Gtk Module

For its GUI component dvd::rip needs the Perl Gtk module, which presumes Gtk+ version 1.2 or higher. I tested dvd::rip with Perl Gtk 0.7008.

You can find the Gtk module on CPAN, e.g.:

http://www.cpan.org/modules/by-module/Gtk/

Note:
Perl Gtk detects your installed Gtk libs and build subcomponents only if the correspondent Gtk library was found.

dvd::rip needs the Gtk::Gdk::Pixbuf component which needs gdk-pixbuf to be installed on your system. So first make sure, that gdk-pixbuf is installed. Then install Perl Gtk and everything should work as expected.


Я так понял, что в этом звере он уже был.

Gtk-Perl-0.7009 и стоит.

А GTK-Pixbuf это что-то еще?!!

http://www.google.ru/search?hl=ru&q=gdk-pixbuf&btnG=%D0%9F%D0%BE%D0%B...

А где его !нужно! лучше брать?!!

Пожалуйста, скажите. Я еще целый день буду искать.
Себя я знаю, к несчастью

anonymous ()
Ответ на: Re: Can't locate Gtk/Gdk/Pixbuf.pm ::классика Slackware??! от JB

Re: Can't locate Gtk/Gdk/Pixbuf.pm ::классика Slackware??!

installpkg gdk-pixbuf-0.22.0-i486-1.tgz
PACKAGE DESCRIPTION:
gdk-pixbuf: gdk-pixbuf
gdk-pixbuf:
gdk-pixbuf: The GdkPixBuf library provides a number of features, including :
gdk-pixbuf: o GdkPixbuf structure for representing images.
gdk-pixbuf: o Image loading facilities.
gdk-pixbuf: o Rendering of a GdkPixBuf into various formats:
gdk-pixbuf: drawables (windows, pixmaps), GdkRGB buffers.
gdk-pixbuf: o Fast scaling and compositing of pixbufs.
gdk-pixbuf: o Simple animation loading (ie. animated gifs)
gdk-pixbuf:
gdk-pixbuf: GdkPixBuf is required by many GTK+ programs such as GNOME and xfce.
Executing install script for gdk-pixbuf-0.22.0-i486-1...

cd ../dvdrip
make clean
perl Makefile.PL
make
mae test
PERL_DL_NONLAZY=1 /usr/bin/perl5.8.6 "-Iblib/lib" "-Iblib/arch" test.pl
1..1
Can't locate Gtk/Gdk/Pixbuf.pm in @INC (@INC contains: blib/lib blib/arch /usr/lib/perl5/5.8.6/i486-linux /usr/lib/perl5/5.8.6 /usr/lib/perl5/site_perl/5.8.6/i486-linux /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl .) at blib/lib/Video/DVDRip/GUI/ImageClip.pm line 13.
BEGIN failed--compilation aborted at blib/lib/Video/DVDRip/GUI/ImageClip.pm line 13.
Compilation failed in require at blib/lib/Video/DVDRip/GUI/Project.pm line 15.
BEGIN failed--compilation aborted at blib/lib/Video/DVDRip/GUI/Project.pm line 15.
Compilation failed in require at blib/lib/Video/DVDRip/GUI/Main.pm line 17.
BEGIN failed--compilation aborted at blib/lib/Video/DVDRip/GUI/Main.pm line 17.
Compilation failed in require at test.pl line 31.
BEGIN failed--compilation aborted at test.pl line 31.
not ok 1
make: *** [test_dynamic] Ошибка 2

??? как это так???

anonymous ()
Ответ на: Re: Can't locate Gtk/Gdk/Pixbuf.pm ::классика Slackware??! от anonymous

Re: Can't locate Gtk/Gdk/Pixbuf.pm ::классика Slackware??!

perl makefile.PL Checking if your kit is complete... Warning: the following files are missing in your kit: README Please inform the author. Warning: prerequisite Gtk::Gdk::Pixbuf 0 not found. Writing Makefile for Video::DVDRip

!!??!!

нихрена не понимаю. Если я софт поставил, то как это его нет.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.